package com.health.actiondemo

import android.Manifest
import android.app.Activity
import android.content.Intent
import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import android.widget.Button
import android.widget.Toast
import com.health.actiondemo.permissons.OnPermissionListener
import com.health.actiondemo.permissons.PermissionKit

class MainActivity : Activity() {

     init {
         System.loadLibrary("mnncore")
     }

    private var action1: Button? = null
    private var action2: Button? = null
    private var action3: Button? = null
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)
        requestCamera()
        action1 = findViewById(R.id.action_1)
        action2 = findViewById(R.id.action_2)
        action3 = findViewById(R.id.action_3)
        action1?.setOnClickListener {
            val jumpIntent = Intent(this, ActionCountActivity::class.java)
            jumpIntent.putExtra("actionType", 0)
            startActivity(jumpIntent)
        }
        action2?.setOnClickListener {
            val jumpIntent = Intent(this, ActionCountActivity::class.java)
            jumpIntent.putExtra("actionType", 1)
            startActivity(jumpIntent)
        }
        action3?.setOnClickListener {
            val jumpIntent = Intent(this, ActionCountActivity::class.java)
            jumpIntent.putExtra("actionType", 2)
            startActivity(jumpIntent)
        }
    }

    private fun requestCamera() {
        PermissionKit.getInstance().requestPermission(this, 1023, object :
            OnPermissionListener {
            override fun onSuccess(requestCode: Int, vararg permissions: String?) {
                showToast("相机授权成功")
            }

            override fun onFail(requestCode: Int, vararg permissions: String?) {
                showToast("相机授权失败")
            }
        }, Manifest.permission.CAMERA)
    }

    private fun showToast(str: String) {
        Toast.makeText(this, str, Toast.LENGTH_LONG).show()
    }
}